<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/GE_ILLIGALSGA.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GE_ILLIGALSGA.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">Allocates memory for an integer array, stores the current genotype in that</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">array, and returns the address of the allocated memory in the argument pointer,</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">as well as its size as the return value. The user is responsible for freeing</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">the allocated memory.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#ab09fafe3be6619f8e8cd20a69f60c022">GE_ILLIGALSGA_getGenotype</a>(<span class="keywordtype">int</span> **);</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">Allocates memory for a NULL-terminated character array, stores the current</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">phenotype in that array, and returns the address of the allocated memory in the</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">argument pointer, as well as its size as the return value. The user is</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">responsible for freeing the allocated memory.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a3454b7087698a88fb76fb86bd16e36b5">GE_ILLIGALSGA_getPhenotype</a>(<span class="keywordtype">char</span> **);</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">Returns the validity of the phenotype contained in the static mapper.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a031a102f2ec6740f5faf81f21503bc55">GE_ILLIGALSGA_validPhenotype</a>();</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">Sets the number of allowed wrapping events for the static mapper.</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#ad3ebebac881c338bffc05d8e5d4d9497">GE_ILLIGALSGA_setMaxWraps</a>(<span class="keywordtype">int</span>);</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">Interface to the readBNFFile(char *) method in CFGrammar, for the static</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">mapper.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a714d16f2c6e7d00b84d9e8840a9d9687">GE_ILLIGALSGA_readBNFFile</a>(<span class="keywordtype">char</span> *);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment">Interface to the readBNFString(char *) method in CFGrammar, for the static</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">mapper.</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a5c79fb6de5107ee0c274efe789ca6e7b">GE_ILLIGALSGA_readBNFString</a>(<span class="keywordtype">char</span> *);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">Interface to the outputBNF(ostream&amp;) method in CFGrammar, for the static</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment">mapper.</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a1bd6ddae7cac69af6a0a042b6e05394e">GE_ILLIGALSGA_outputBNF</a>();</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">Accepts an sga-c chromosome, transforms it into a libGE Genotype structure, and</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">assigns it to the static mapper.</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#ab9a298a00ca2c4bd428ea6caa2ea4df3">GE_ILLIGALSGA_Mapper</a>(<span class="keyword">struct</span> <a class="code" href="structindividual.html">individual</a> *critter, <span class="keywordtype">int</span> lchrom, <span class="keywordtype">int</span> bpg);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_g_e___i_l_l_i_g_a_l_s_g_a_8h_html_a031a102f2ec6740f5faf81f21503bc55"><div class="ttname"><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a031a102f2ec6740f5faf81f21503bc55">GE_ILLIGALSGA_validPhenotype</a></div><div class="ttdeci">int GE_ILLIGALSGA_validPhenotype()</div><div class="ttdef"><b>Definition:</b> GE_ILLIGALSGA.cpp:88</div></div>
<div class="ttc" id="a_g_e___i_l_l_i_g_a_l_s_g_a_8h_html_ad3ebebac881c338bffc05d8e5d4d9497"><div class="ttname"><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#ad3ebebac881c338bffc05d8e5d4d9497">GE_ILLIGALSGA_setMaxWraps</a></div><div class="ttdeci">void GE_ILLIGALSGA_setMaxWraps(int)</div><div class="ttdef"><b>Definition:</b> GE_ILLIGALSGA.cpp:96</div></div>
<div class="ttc" id="a_g_e___i_l_l_i_g_a_l_s_g_a_8h_html_ab9a298a00ca2c4bd428ea6caa2ea4df3"><div class="ttname"><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#ab9a298a00ca2c4bd428ea6caa2ea4df3">GE_ILLIGALSGA_Mapper</a></div><div class="ttdeci">void GE_ILLIGALSGA_Mapper(struct individual *critter, int lchrom, int bpg)</div><div class="ttdef"><b>Definition:</b> GE_ILLIGALSGA.cpp:178</div></div>
<div class="ttc" id="a_g_e___i_l_l_i_g_a_l_s_g_a_8h_html_a3454b7087698a88fb76fb86bd16e36b5"><div class="ttname"><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a3454b7087698a88fb76fb86bd16e36b5">GE_ILLIGALSGA_getPhenotype</a></div><div class="ttdeci">int GE_ILLIGALSGA_getPhenotype(char **)</div><div class="ttdef"><b>Definition:</b> GE_ILLIGALSGA.cpp:64</div></div>
<div class="ttc" id="a_g_e___i_l_l_i_g_a_l_s_g_a_8h_html_ab09fafe3be6619f8e8cd20a69f60c022"><div class="ttname"><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#ab09fafe3be6619f8e8cd20a69f60c022">GE_ILLIGALSGA_getGenotype</a></div><div class="ttdeci">int GE_ILLIGALSGA_getGenotype(int **)</div><div class="ttdef"><b>Definition:</b> GE_ILLIGALSGA.cpp:45</div></div>
<div class="ttc" id="a_g_e___i_l_l_i_g_a_l_s_g_a_8h_html_a5c79fb6de5107ee0c274efe789ca6e7b"><div class="ttname"><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a5c79fb6de5107ee0c274efe789ca6e7b">GE_ILLIGALSGA_readBNFString</a></div><div class="ttdeci">int GE_ILLIGALSGA_readBNFString(char *)</div><div class="ttdef"><b>Definition:</b> GE_ILLIGALSGA.cpp:114</div></div>
<div class="ttc" id="astructindividual_html"><div class="ttname"><a href="structindividual.html">individual</a></div><div class="ttdef"><b>Definition:</b> GE_ILLIGALSGA.cpp:27</div></div>
<div class="ttc" id="a_g_e___i_l_l_i_g_a_l_s_g_a_8h_html_a1bd6ddae7cac69af6a0a042b6e05394e"><div class="ttname"><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a1bd6ddae7cac69af6a0a042b6e05394e">GE_ILLIGALSGA_outputBNF</a></div><div class="ttdeci">void GE_ILLIGALSGA_outputBNF()</div><div class="ttdef"><b>Definition:</b> GE_ILLIGALSGA.cpp:124</div></div>
<div class="ttc" id="a_g_e___i_l_l_i_g_a_l_s_g_a_8h_html_a714d16f2c6e7d00b84d9e8840a9d9687"><div class="ttname"><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a714d16f2c6e7d00b84d9e8840a9d9687">GE_ILLIGALSGA_readBNFFile</a></div><div class="ttdeci">int GE_ILLIGALSGA_readBNFFile(char *)</div><div class="ttdef"><b>Definition:</b> GE_ILLIGALSGA.cpp:104</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
